Subject: Naming inversion-lo

From: M92 <[email-masked]>
Date: Fri, 9 Jul 93 05:48:54 -0700

I'm using the postgres large-object facilities. I have been able to define a 
large-object adt and have declared a class with a attribute of this type. 
In the implementation of the input function for this adt the large-object I have
given a specific name for the large-object to be created. This means that I can only make one append to the class I have created.

I want to create a class consisting of the attributes name - of the basic type 
char16 - and code - which will be of the large-object adt. I want to 
reimplement the input and output functions of the large-object adt so that they take the value given to a name attribute of the class and use this value for thename of the large-object created. However I stuck on how to access the value of
the attribute name, since the libpq commnads are'nt available within dynamically
loaded c functions and there does'nt appear a method of referring to the current
action as is possible when defining rules through the use of new.

I would be very grateful for any suggestions on how to overcome this problem or
any alternative ideas for ways of giving the large-objects created unique names
(the acually name given to them is not of great importance).

Thanks, Paul.